```@meta
CurrentModule = SF36HealthSurvey
```

# SF36HealthSurvey

Documentation for [SF36HealthSurvey](https://github.com/PharmCat/SF36HealthSurvey.jl).

The Short Form (36) Health Survey is a 36-item, patient-reported survey of patient health. The SF-36 is a measure of health status and an abbreviated variant of it, the SF-6D, is commonly used in health economics as a variable in the quality-adjusted life year calculation to determine the cost-effectiveness of a health treatment. The original SF-36 stemmed from the Medical Outcome Study, MOS, which was conducted by the RAND Corporation. SF36 Version 1 - is a free instrument.

Terms and Conditions for Using the 36-Item Short Form Survey (SF-36):

RAND hereby grants permission to use RAND 36-Item Short Form Health Survey in accordance with the following conditions, which shall be assumed by all to have been agreed to as a consequence of accepting and using this document:

    Changes to the Health Survey may be made without the written permission of RAND. However, all such changes shall be clearly identified as having been made by the recipient.
    The user of this Health Survey accepts full responsibility, and agrees to indemnify and hold RAND harmless, for the accuracy of any translations of the Health Survey into another language and for any errors, omissions, misinterpretations, or consequences thereof.
    The user of this Health Survey accepts full responsibility, and agrees to indemnify and hold RAND harmless, for any consequences resulting from the use of the Health Survey.
    The user of the 36-Item Health Survey will provide a credit line when printing and distributing this document acknowledging that it was developed at RAND as part of the Medical Outcomes Study.
    No further written permission is needed for use of this Health Survey.


```@index
```

```@autodocs
Modules = [SF36HealthSurvey]
```
